<?php
header('Content-Type: application/json');

$data = json_decode(file_get_contents('php://input'), true);

$filePaths = $data['filePaths'] ?? [];  // 複数のファイルパスを受け取る

$response = ['success' => false, 'deletedFiles' => []];

foreach ($filePaths as $filePath) {
    if ($filePath && file_exists($filePath)) {
        if (unlink($filePath)) {
            $response['deletedFiles'][] = $filePath;
        }
    }
}

if (!empty($response['deletedFiles'])) {
    $response['success'] = true;
}

echo json_encode($response);
