<?php include 'header.php'; ?>
<h2>サーバー画像削除システム・ヘルプ</h2>
　サーバーに上げた画像がたくさん増えて、整理したいと思ったことはありませんか？FTPではファイル名とサイズしか確認できません。<br>
　サーバー会社によっては管理ソフトを用意しているところもあるかも知れませんが、私は知りません。それでも自社でこれが欲しかったので作ってみました。<br>
　役に立つ方もいらっしゃるかと思い公開致します。あまりアプデとかは考えておりません。
    <h2>使い方</h2>
    <ul>
        <li>最初にこのフォルダを置いたディレクトリ（https://×××.com/delete_images/）にアクセスしてください。</li>
        <li>アクセス情報を登録する画面が出てきますので、IDとパスワードを入力してください。</li>
        <li>IDは何でも構いません。パスワードは、アルファベットの大文字、小文字、数字、記号、の混在で8文字以上なくてはなりません。</li>
        <li>登録後はログインしてご利用頂けます。</li>
</ul>
    <ul>
        <li><strong>ディレクトリ選択</strong>: プログラムにアクセスした後、画像が保存されているディレクトリを指定します。ディレクトリは、このファイルがある場所からの相対パスです。つまり、ルート・ディレクトリにこのフォルダを置いた場合、'../images'などとなります。</li>
        <li><strong>画像一覧表示</strong>: 指定したディレクトリ内の画像を一覧表示します。</li>
        <li><strong>削除モード選択</strong>: 「単一削除」と「一括削除」の2つのモードがあります。選択してください。</li>
        <li><strong>単一削除</strong>: 削除したい画像の下に表示されている「削除」ボタンをクリックします。</li>
        <li><strong>一括削除</strong>: 複数の画像を選択（チェックボックスにチェックを入れるか画像をクリックでも選択可能です）した後、画面下部にある「一括削除」ボタンをクリックします。</li>
        <li><strong>並び替え</strong>: 画像をファイル名またはファイルサイズ（ファイルサイズの大きい順）で並べ替えることができます。</li>
        <li><strong>拡大表示</strong>: 画像名をクリックすると、その画像が拡大表示されます。</li>
    </ul>

    <h2>注意事項</h2>
    <ul>
        <li><strong>ディレクトリ指定</strong>: 正確なディレクトリを指定してください。間違ったディレクトリを指定すると、エラーメッセージが表示されます。</li>
        <li><strong>削除確認</strong>: 削除操作は取り消せません。削除する前に、選択した画像が正しいか確認してください。</li>
        <li><strong>セキュリティ</strong>: このプログラムは基本的なセキュリティ措置を含んでいますが、公開サーバーにはアップロードしないでください。</li>
        <li><strong>拡大表示</strong>: 拡大表示は画像名をクリックすることで行います。画像自体をクリックすると、一括削除モードで選択されます。</li>
        <li><strong>並び替え</strong>: 並び替えを行った後でも、削除操作は可能ですが、ページをリロードすると元に戻ります。</li>
        <li><strong>レスポンシブデザイン</strong>: このプログラムはレスポンシブデザインに対応していますが、最適な表示はデスクトップブラウザです。</li>
    </ul>
    <h2>ファイル構成</h2>
    <pre>
    delete_images ┬ index.php （プログラム本体）
                  ├ delete.php （削除プログラム）
                  ├ header.php （ページのヘッダ）
                  ├ footer.php （ページのフッタ）
                  ├ login.php （認証用プログラム）
                  ├ style.css （スタイルシート）
                  ├ credentials.txt （認証情報ファイル・自動生成）
                  ├ help.php （このファイル）
                  └ .htaccess （credentials.txtの保護）
</pre>

<?php include 'footer.php'; ?>